# trustmodule plugins image
FROM registry.gitlab.com/protective-h2020-eu/enrichment/ti-trust/protective-trustmodule:1.2.1 as mentat_trustmodule_plugin

# base mentat
FROM registry.gitlab.com/protective-h2020-eu/cp/mentat/mentat:1.0-beta.1

# copy plugin into mentat image
COPY --from=mentat_trustmodule_plugin / /

# install python module for trustmodule
RUN cd /tmp/trustmodule && pip3 install .

CMD ["/etc/mentat/scripts/start.sh"]